<template>
  <q-notify>
    <q-card-section class="q-pt-none">
      <q-list bordered>
        <q-item clickable v-ripple v-for="(value, key) in errors" :key="key">
          <q-item-section>{{ key }}</q-item-section>
          <q-item-section avatar>
            {{ value }}
          </q-item-section>
        </q-item>
      </q-list>
    </q-card-section>
  </q-notify>
</template>

<script setup lang="ts">
import { toRefs } from 'vue';
import { useApiStore } from 'stores/api-store';

const apiStore = useApiStore();
const { errors } = toRefs(apiStore.$state);
</script>
